Skip to main content

This site requires you to update your browser. Your browsing experience maybe affected by not having the most up to date version.

DataObjectManager Module /

Discuss the DataObjectManager module, and the related ImageGallery module.

Moderators: martimiz, UncleCheese, Sean, biapar, Willr, Ingo, swaiba, simon_w

** 2.4 Compatibility Patch is in **


Reply


35 Posts   4788 Views

Avatar
UncleCheese

Forum Moderator, 4096 Posts

19 March 2010 at 3:31am

Just put in a patch for this bug.

Avatar
UncleCheese

Forum Moderator, 4096 Posts

19 March 2010 at 4:29am

Yeah, it only works in 2.4 now due to the change in the CTF API. So you'll need to roll back until 2.4 is released.

Avatar
Pigeon

Community Member, 243 Posts

19 March 2010 at 4:47am

Edited: 19/03/2010 4:54am

Ok.. :'(

Is there are tag i can set my externals to then?

Could you please set up a tag for 2.3 as i use externals for DOM on a lot of my sites. Also, is swfupload still 2.3.x safe?

Thanks

Avatar
UncleCheese

Forum Moderator, 4096 Posts

19 March 2010 at 1:20pm

Also, the latest rev should be 2.3 and 2.4 compatible.

Avatar
Pigeon

Community Member, 243 Posts

19 March 2010 at 10:23pm

Edited: 19/03/2010 11:12pm

Awesome, thanks.

When i first updated to revision 380 the pop-ups didnt open properly (they opened in the main browser window so one has to navigate back to get to the admin) but that seems to have fixed its self.

It would be really good if we could get a 2.3 branch as i'm sure DOM wont stay backward compatible forever and it's really useful :)

Thanks for all the help.

Edit: Actually, 380 does have that above error consistently. I think i hadn't refreshed the admin properly when i retested revision 380. So at the moment r 379 is 2.3.x safe and 380 is not

Avatar
UncleCheese

Forum Moderator, 4096 Posts

20 March 2010 at 3:47am

2.3 branch is here:

http://carlinowebdesign.svn.beanstalkapp.com/modules/branches/2.3/dataobject_manager

2.4 will remain on the trunk.

Thanks for your continued testing!

Avatar
Juanitou

Community Member, 323 Posts

20 March 2010 at 4:13am

Thanks!

Stable sites that are not bound to evolve will often not be updated to 2.4, so a 2.3 branch is very nice from you!

Thanks,
Juan

Avatar
UncleCheese

Forum Moderator, 4096 Posts

20 March 2010 at 4:38am

Thanks, Juan! I'm shipping your book today! :)

Everyone else, the Javascript fixes are in for 2.4. Please test!